/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * Copyright 2000, 2010 Oracle and/or its affiliates.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

// MARKER(update_precomp.py): Generated on 2006-09-01 17:50:00.233019

#ifdef PRECOMPILED_HEADERS
//---MARKER---
#include "basic/basicmanagerrepository.hxx"
#include "basic/basmgr.hxx"
#include "basic/sberrors.hxx"
#include "basic/sbmeth.hxx"
#include "basic/sbmod.hxx"
#include "basic/sbstar.hxx"
#include "basic/sbuno.hxx"
#include "basic/sbx.hxx"
#include "basic/sbxcore.hxx"
#include "basic/sbxdef.hxx"
#include "basic/sbxfac.hxx"
#include "basic/sbxmeth.hxx"
#include "basic/sbxobj.hxx"
#include "basic/sbxvar.hxx"
#include "boost/shared_ptr.hpp"
#include "com/sun/star/awt/KeyEvent.hpp"
#include "com/sun/star/awt/KeyModifier.hpp"
#include "com/sun/star/awt/MouseButton.hpp"
#include "com/sun/star/awt/MouseEvent.hpp"
#include "com/sun/star/awt/PosSize.hpp"
#include "com/sun/star/awt/Size.hpp"
#include "com/sun/star/awt/XButton.hpp"
#include "com/sun/star/awt/XControl.hpp"
#include "com/sun/star/awt/XDockableWindow.hpp"
#include "com/sun/star/awt/XDockableWindowListener.hpp"
#include "com/sun/star/awt/XKeyHandler.hdl"
#include "com/sun/star/awt/XKeyHandler.hpp"
#include "com/sun/star/awt/XMouseClickHandler.hdl"
#include "com/sun/star/awt/XMouseClickHandler.hpp"
#include "com/sun/star/awt/XTopWindow.hpp"
#include "com/sun/star/awt/XUserInputInterception.hpp"
#include "com/sun/star/awt/XWindow.hpp"
#include "com/sun/star/awt/XWindow2.hpp"
#include "com/sun/star/beans/NamedValue.hpp"
#include "com/sun/star/beans/Property.hpp"
#include "com/sun/star/beans/PropertyAttribute.hpp"
#include "com/sun/star/beans/PropertyChangeEvent.hpp"
#include "com/sun/star/beans/PropertyState.hpp"
#include "com/sun/star/beans/PropertyStateChangeEvent.hpp"
#include "com/sun/star/beans/PropertyValue.hpp"
#include "com/sun/star/beans/PropertyValues.hpp"
#include "com/sun/star/beans/StringPair.hpp"
#include "com/sun/star/beans/UnknownPropertyException.hpp"
#include "com/sun/star/beans/XFastPropertySet.hpp"
#include "com/sun/star/beans/XMaterialHolder.hpp"
#include "com/sun/star/beans/XMultiPropertySet.hpp"
#include "com/sun/star/beans/XPropertiesChangeListener.hpp"
#include "com/sun/star/beans/XPropertyAccess.hpp"
#include "com/sun/star/beans/XPropertyChangeListener.hpp"
#include "com/sun/star/beans/XPropertyContainer.hpp"
#include "com/sun/star/beans/XPropertySet.hpp"
#include "com/sun/star/beans/XPropertySetInfo.hpp"
#include "com/sun/star/beans/XPropertyState.hpp"
#include "com/sun/star/beans/XPropertyStateChangeListener.hpp"
#include "com/sun/star/beans/XVetoableChangeListener.hpp"
#include "com/sun/star/container/ContainerEvent.hpp"
#include "com/sun/star/container/XChild.hpp"
#include "com/sun/star/container/XContainer.hpp"
#include "com/sun/star/container/XContainerListener.hpp"
#include "com/sun/star/container/XContainerQuery.hpp"
#include "com/sun/star/container/XEnumeration.hpp"
#include "com/sun/star/container/XEnumerationAccess.hpp"
#include "com/sun/star/container/XIndexAccess.hpp"
#include "com/sun/star/container/XIndexContainer.hpp"
#include "com/sun/star/container/XIndexReplace.hpp"
#include "com/sun/star/container/XNameAccess.hpp"
#include "com/sun/star/container/XNameContainer.hpp"
#include "com/sun/star/container/XNameReplace.hpp"
#include "com/sun/star/container/XSet.hpp"
#include "com/sun/star/datatransfer/DataFlavor.hpp"
#include "com/sun/star/datatransfer/XTransferable.hpp"
#include "com/sun/star/document/BrokenPackageRequest.hpp"
#include "com/sun/star/document/CorruptedFilterConfigurationException.hpp"
#include "com/sun/star/document/EventObject.hpp"
#include "com/sun/star/document/FilterOptionsRequest.hpp"
#include "com/sun/star/document/MacroExecMode.hpp"
#include "com/sun/star/document/UpdateDocMode.hpp"
#include "com/sun/star/document/XActionLockable.hpp"
#include "com/sun/star/document/XDocumentInfo.hpp"
#include "com/sun/star/document/XDocumentInfoSupplier.hpp"
#include "com/sun/star/document/XDocumentRevisionListPersistence.hpp"
#include "com/sun/star/document/XDocumentSubStorageSupplier.hpp"
#include "com/sun/star/document/XEventBroadcaster.hpp"
#include "com/sun/star/document/XEventListener.hpp"
#include "com/sun/star/document/XEventsSupplier.hpp"
#include "com/sun/star/document/XExporter.hpp"
#include "com/sun/star/document/XExtendedFilterDetection.hpp"
#include "com/sun/star/document/XFilter.hpp"
#include "com/sun/star/document/XImporter.hpp"
#include "com/sun/star/document/XInteractionFilterOptions.hpp"
#include "com/sun/star/document/XStandaloneDocumentInfo.hpp"
#include "com/sun/star/document/XStorageBasedDocument.hpp"
#include "com/sun/star/document/XStorageChangeListener.hpp"
#include "com/sun/star/document/XTypeDetection.hpp"
#include "com/sun/star/document/XViewDataSupplier.hpp"
#include "com/sun/star/embed/Aspects.hpp"
#include "com/sun/star/embed/ElementModes.hpp"
#include "com/sun/star/embed/EmbedMapUnits.hpp"
#include "com/sun/star/embed/EmbedMisc.hpp"
#include "com/sun/star/embed/EmbedStates.hpp"
#include "com/sun/star/embed/EmbedVerbs.hpp"
#include "com/sun/star/embed/EntryInitModes.hpp"
#include "com/sun/star/embed/StateChangeInProgressException.hpp"
#include "com/sun/star/embed/UseBackupException.hpp"
#include "com/sun/star/embed/VerbAttributes.hpp"
#include "com/sun/star/embed/VerbDescriptor.hpp"
#include "com/sun/star/embed/XComponentSupplier.hpp"
#include "com/sun/star/embed/XEmbedObjectCreator.hpp"
#include "com/sun/star/embed/XEmbedPersist.hpp"
#include "com/sun/star/embed/XEmbeddedClient.hpp"
#include "com/sun/star/embed/XEmbeddedObject.hpp"
#include "com/sun/star/embed/XInplaceClient.hpp"
#include "com/sun/star/embed/XInplaceObject.hpp"
#include "com/sun/star/embed/XLinkageSupport.hpp"
#include "com/sun/star/embed/XOptimizedStorage.hpp"
#include "com/sun/star/embed/XPackageStructureCreator.hpp"
#include "com/sun/star/embed/XStateChangeListener.hpp"
#include "com/sun/star/embed/XStorage.hpp"
#include "com/sun/star/embed/XTransactedObject.hpp"
#include "com/sun/star/embed/XTransactionBroadcaster.hpp"
#include "com/sun/star/embed/XTransactionListener.hpp"
#include "com/sun/star/embed/XVisualObject.hpp"
#include "com/sun/star/embed/XWindowSupplier.hpp"
#include "com/sun/star/form/XReset.hpp"
#include "com/sun/star/frame/CommandGroup.hpp"
#include "com/sun/star/frame/DispatchDescriptor.hpp"
#include "com/sun/star/frame/DispatchResultEvent.hpp"
#include "com/sun/star/frame/DispatchResultState.hpp"
#include "com/sun/star/frame/DispatchStatement.hpp"
#include "com/sun/star/frame/DoubleInitializationException.hpp"
#include "com/sun/star/frame/FeatureStateEvent.hpp"
#include "com/sun/star/frame/FrameAction.hpp"
#include "com/sun/star/frame/FrameActionEvent.hpp"
#include "com/sun/star/frame/FrameSearchFlag.hpp"
#include "com/sun/star/frame/IllegalArgumentIOException.hpp"
#include "com/sun/star/frame/LayoutManagerEvents.hpp"
#include "com/sun/star/frame/XBorderResizeListener.hpp"
#include "com/sun/star/frame/XComponentLoader.hpp"
#include "com/sun/star/frame/XController.hpp"
#include "com/sun/star/frame/XControllerBorder.hpp"
#include "com/sun/star/frame/XDesktop.hpp"
#include "com/sun/star/frame/XDispatch.hpp"
#include "com/sun/star/frame/XDispatchHelper.hpp"
#include "com/sun/star/frame/XDispatchInformationProvider.hpp"
#include "com/sun/star/frame/XDispatchProvider.hpp"
#include "com/sun/star/frame/XDispatchProviderInterception.hpp"
#include "com/sun/star/frame/XDispatchProviderInterceptor.hpp"
#include "com/sun/star/frame/XDispatchRecorder.hpp"
#include "com/sun/star/frame/XDispatchRecorderSupplier.hpp"
#include "com/sun/star/frame/XDispatchResultListener.hpp"
#include "com/sun/star/frame/XDocumentTemplates.hpp"
#include "com/sun/star/frame/XFilterDetect.hpp"
#include "com/sun/star/frame/XFrame.hpp"
#include "com/sun/star/frame/XFrameActionListener.hpp"
#include "com/sun/star/frame/XFrameLoader.hpp"
#include "com/sun/star/frame/XFrames.hpp"
#include "com/sun/star/frame/XFramesSupplier.hpp"
#include "com/sun/star/frame/XInterceptorInfo.hpp"
#include "com/sun/star/frame/XLayoutManager.hpp"
#include "com/sun/star/frame/XLayoutManagerEventBroadcaster.hpp"
#include "com/sun/star/frame/XLayoutManagerListener.hpp"
#include "com/sun/star/frame/XLoadEventListener.hpp"
#include "com/sun/star/frame/XLoadable.hpp"
#include "com/sun/star/frame/XModel.hpp"
#include "com/sun/star/frame/XModuleManager.hpp"
#include "com/sun/star/frame/XNotifyingDispatch.hpp"
#include "com/sun/star/frame/XStatusListener.hpp"
#include "com/sun/star/frame/XStorable.hpp"
#include "com/sun/star/frame/XStorable2.hpp"
#include "com/sun/star/frame/XSubToolbarController.hpp"
#include "com/sun/star/frame/XSynchronousDispatch.hpp"
#include "com/sun/star/frame/XSynchronousFrameLoader.hpp"
#include "com/sun/star/frame/XTerminateListener.hpp"
#include "com/sun/star/frame/status/ItemState.hpp"
#include "com/sun/star/frame/status/ItemStatus.hpp"
#include "com/sun/star/frame/status/Template.hpp"
#include "com/sun/star/frame/status/Verb.hpp"
#include "com/sun/star/frame/status/Visibility.hpp"
#include "com/sun/star/graphic/XGraphic.hpp"
#include "com/sun/star/graphic/XGraphicProvider.hpp"
#include "com/sun/star/i18n/TransliterationModules.hpp"
#include "com/sun/star/i18n/WordType.hpp"
#include "com/sun/star/i18n/XBreakIterator.hpp"
#include "com/sun/star/io/IOException.hpp"
#include "com/sun/star/io/XActiveDataSink.hpp"
#include "com/sun/star/io/XActiveDataSource.hpp"
#include "com/sun/star/io/XAsyncOutputMonitor.hpp"
#include "com/sun/star/io/XInputStream.hpp"
#include "com/sun/star/io/XOutputStream.hpp"
#include "com/sun/star/io/XPersist.hpp"
#include "com/sun/star/io/XSeekable.hpp"
#include "com/sun/star/io/XStream.hpp"
#include "com/sun/star/io/XStreamListener.hpp"
#include "com/sun/star/io/XTruncate.hpp"
#include "com/sun/star/lang/DisposedException.hpp"
#include "com/sun/star/lang/EventObject.hpp"
#include "com/sun/star/lang/IllegalArgumentException.hpp"
#include "com/sun/star/lang/Locale.hpp"
#include "com/sun/star/lang/WrappedTargetException.hpp"
#include "com/sun/star/lang/WrappedTargetRuntimeException.hpp"
#include "com/sun/star/lang/XComponent.hpp"
#include "com/sun/star/lang/XEventListener.hpp"
#include "com/sun/star/lang/XInitialization.hpp"
#include "com/sun/star/lang/XLocalizable.hpp"
#include "com/sun/star/lang/XMultiServiceFactory.hpp"
#include "com/sun/star/lang/XServiceInfo.hpp"
#include "com/sun/star/lang/XSingleComponentFactory.hpp"
#include "com/sun/star/lang/XSingleServiceFactory.hpp"
#include "com/sun/star/lang/XTypeProvider.hpp"
#include "com/sun/star/lang/XUnoTunnel.hpp"
#include "com/sun/star/loader/CannotActivateFactoryException.hpp"
#include "com/sun/star/loader/XImplementationLoader.hpp"
#include "com/sun/star/mozilla/XPluginInstance.hpp"
#include "com/sun/star/plugin/PluginDescription.hpp"
#include "com/sun/star/plugin/PluginMode.hpp"
#include "com/sun/star/plugin/XPlugin.hpp"
#include "com/sun/star/plugin/XPluginManager.hpp"
#include "com/sun/star/registry/InvalidRegistryException.hpp"
#include "com/sun/star/registry/MergeConflictException.hpp"
#include "com/sun/star/registry/RegistryValueType.hpp"
#include "com/sun/star/registry/XSimpleRegistry.hpp"
#include "com/sun/star/script/AllEventObject.hpp"
#include "com/sun/star/script/ContextInformation.hpp"
#include "com/sun/star/script/FinishEngineEvent.hpp"
#include "com/sun/star/script/FinishReason.hpp"
#include "com/sun/star/script/InterruptEngineEvent.hpp"
#include "com/sun/star/script/InterruptReason.hpp"
#include "com/sun/star/script/ModuleSizeExceededRequest.hpp"
#include "com/sun/star/script/XAllListener.hpp"
#include "com/sun/star/script/XAllListenerAdapterService.hpp"
#include "com/sun/star/script/XDebugging.hpp"
#include "com/sun/star/script/XEngine.hpp"
#include "com/sun/star/script/XEngineListener.hpp"
#include "com/sun/star/script/XInvocation.hpp"
#include "com/sun/star/script/XLibraryAccess.hpp"
#include "com/sun/star/script/XLibraryContainer.hpp"
#include "com/sun/star/script/XStarBasicAccess.hpp"
#include "com/sun/star/script/XTypeConverter.hpp"
#include "com/sun/star/script/browse/BrowseNodeFactoryViewTypes.hpp"
#include "com/sun/star/script/browse/BrowseNodeTypes.hpp"
#include "com/sun/star/script/browse/XBrowseNode.hpp"
#include "com/sun/star/script/browse/XBrowseNodeFactory.hpp"
#include "com/sun/star/script/provider/ScriptFrameworkErrorException.hpp"
#include "com/sun/star/script/provider/XScript.hpp"
#include "com/sun/star/script/provider/XScriptProvider.hpp"
#include "com/sun/star/script/provider/XScriptProviderFactory.hpp"
#include "com/sun/star/script/provider/XScriptProviderSupplier.hpp"
#include "com/sun/star/sdbc/XResultSet.hpp"
#include "com/sun/star/sdbc/XRow.hpp"
#include "com/sun/star/security/CertificateValidity.hpp"
#include "com/sun/star/security/DocumentSignatureInformation.hpp"
#include "com/sun/star/security/NoPasswordException.hpp"
#include "com/sun/star/security/XDocumentDigitalSignatures.hpp"
#include "com/sun/star/style/XStyle.hpp"
#include "com/sun/star/style/XStyleFamiliesSupplier.hpp"
#include "com/sun/star/system/SimpleMailClientFlags.hpp"
#include "com/sun/star/system/SystemShellExecuteException.hpp"
#include "com/sun/star/system/SystemShellExecuteFlags.hpp"
#include "com/sun/star/system/XSimpleMailClientSupplier.hpp"
#include "com/sun/star/system/XSystemShellExecute.hpp"
#include "com/sun/star/task/ErrorCodeIOException.hpp"
#include "com/sun/star/task/ErrorCodeRequest.hpp"
#include "com/sun/star/task/XInteractionApprove.hpp"
#include "com/sun/star/task/XInteractionDisapprove.hpp"
#include "com/sun/star/task/XInteractionHandler.hpp"
#include "com/sun/star/task/XInteractionRequest.hpp"
#include "com/sun/star/task/XJob.hpp"
#include "com/sun/star/task/XJobExecutor.hpp"
#include "com/sun/star/task/XStatusIndicator.hpp"
#include "com/sun/star/task/XStatusIndicatorFactory.hpp"
#include "com/sun/star/task/XStatusIndicatorSupplier.hpp"
#include "com/sun/star/text/XText.hpp"
#include "com/sun/star/text/XTextCursor.hpp"
#include "com/sun/star/text/XTextDocument.hpp"
#include "com/sun/star/text/XTextRange.hpp"
#include "com/sun/star/text/XTextViewCursor.hpp"
#include "com/sun/star/text/XTextViewCursorSupplier.hpp"
#include "com/sun/star/ucb/CommandAbortedException.hpp"
#include "com/sun/star/ucb/CommandFailedException.hpp"
#include "com/sun/star/ucb/ContentInfo.hpp"
#include "com/sun/star/ucb/IllegalIdentifierException.hpp"
#include "com/sun/star/ucb/InsertCommandArgument.hpp"
#include "com/sun/star/ucb/InteractiveAppException.hpp"
#include "com/sun/star/ucb/InteractiveAugmentedIOException.hpp"
#include "com/sun/star/ucb/InteractiveIOException.hpp"
#include "com/sun/star/ucb/NameClash.hpp"
#include "com/sun/star/ucb/NameClashException.hpp"
#include "com/sun/star/ucb/NumberedSortingInfo.hpp"
#include "com/sun/star/ucb/OpenCommandArgument2.hpp"
#include "com/sun/star/ucb/OpenMode.hpp"
#include "com/sun/star/ucb/TransferInfo.hpp"
#include "com/sun/star/ucb/UnsupportedDataSinkException.hpp"
#include "com/sun/star/ucb/XAnyCompare.hpp"
#include "com/sun/star/ucb/XAnyCompareFactory.hpp"
#include "com/sun/star/ucb/XCommandEnvironment.hpp"
#include "com/sun/star/ucb/XCommandInfo.hpp"
#include "com/sun/star/ucb/XCommandProcessor.hpp"
#include "com/sun/star/ucb/XContent.hpp"
#include "com/sun/star/ucb/XContentAccess.hpp"
#include "com/sun/star/ucb/XContentCreator.hpp"
#include "com/sun/star/ucb/XContentIdentifierFactory.hpp"
#include "com/sun/star/ucb/XContentProvider.hpp"
#include "com/sun/star/ucb/XDataContainer.hpp"
#include "com/sun/star/ucb/XDynamicResultSet.hpp"
#include "com/sun/star/ucb/XProgressHandler.hpp"
#include "com/sun/star/ucb/XSimpleFileAccess.hpp"
#include "com/sun/star/ucb/XSortedDynamicResultSetFactory.hpp"
#include "com/sun/star/ui/ImageType.hpp"
#include "com/sun/star/ui/XAcceleratorConfiguration.hpp"
#include "com/sun/star/ui/XContextMenuInterception.hpp"
#include "com/sun/star/ui/XContextMenuInterceptor.hpp"
#include "com/sun/star/ui/XImageManager.hpp"
#include "com/sun/star/ui/XModuleUIConfigurationManagerSupplier.hpp"
#include "com/sun/star/ui/XUIConfigurationManagerSupplier.hpp"
#include "com/sun/star/ui/XUIConfigurationPersistence.hpp"
#include "com/sun/star/ui/XUIConfigurationStorage.hpp"
#include "com/sun/star/ui/XUIElement.hpp"
#include "com/sun/star/ui/XUIElementFactory.hpp"
#include "com/sun/star/ui/XUIFunctionListener.hpp"
#include "com/sun/star/ui/dialogs/CommonFilePickerElementIds.hpp"
#include "com/sun/star/ui/dialogs/ControlActions.hpp"
#include "com/sun/star/ui/dialogs/ExecutableDialogResults.hpp"
#include "com/sun/star/ui/dialogs/ExtendedFilePickerElementIds.hpp"
#include "com/sun/star/ui/dialogs/FilePreviewImageFormats.hpp"
#include "com/sun/star/ui/dialogs/TemplateDescription.hpp"
#include "com/sun/star/ui/dialogs/XControlAccess.hpp"
#include "com/sun/star/ui/dialogs/XExecutableDialog.hpp"
#include "com/sun/star/ui/dialogs/XFilePicker.hpp"
#include "com/sun/star/ui/dialogs/XFilePickerControlAccess.hpp"
#include "com/sun/star/ui/dialogs/XFilePickerListener.hpp"
#include "com/sun/star/ui/dialogs/XFilePickerNotifier.hpp"
#include "com/sun/star/ui/dialogs/XFilePreview.hpp"
#include "com/sun/star/ui/dialogs/XFilterGroupManager.hpp"
#include "com/sun/star/ui/dialogs/XFilterManager.hpp"
#include "com/sun/star/ui/dialogs/XFolderPicker.hpp"
#include "com/sun/star/uno/Any.h"
#include "com/sun/star/uno/Any.hxx"
#include "com/sun/star/uno/Exception.hpp"
#include "com/sun/star/uno/Reference.h"
#include "com/sun/star/uno/Reference.hxx"
#include "com/sun/star/uno/RuntimeException.hpp"
#include "com/sun/star/uno/Sequence.hxx"
#include "com/sun/star/uno/Type.h"
#include "com/sun/star/uno/Type.hxx"
#include "com/sun/star/uno/XComponentContext.hpp"
#include "com/sun/star/uno/XInterface.hpp"
#include "com/sun/star/uri/XUriReferenceFactory.hpp"
#include "com/sun/star/uri/XVndSunStarScriptUrl.hpp"
#include "com/sun/star/util/CloseVetoException.hpp"
#include "com/sun/star/util/Date.hpp"
#include "com/sun/star/util/DateTime.hpp"
#include "com/sun/star/util/RevisionTag.hpp"
#include "com/sun/star/util/SearchFlags.hpp"
#include "com/sun/star/util/SearchOptions.hpp"
#include "com/sun/star/util/Time.hpp"
#include "com/sun/star/util/URL.hpp"
#include "com/sun/star/util/XArchiver.hpp"
#include "com/sun/star/util/XChangesBatch.hpp"
#include "com/sun/star/util/XCloseBroadcaster.hpp"
#include "com/sun/star/util/XCloseListener.hpp"
#include "com/sun/star/util/XCloseable.hpp"
#include "com/sun/star/util/XFlushable.hpp"
#include "com/sun/star/util/XModifiable.hpp"
#include "com/sun/star/util/XModifyBroadcaster.hpp"
#include "com/sun/star/util/XModifyListener.hpp"
#include "com/sun/star/util/XOfficeInstallationDirectories.hpp"
#include "com/sun/star/util/XPropertyReplace.hpp"
#include "com/sun/star/util/XRefreshListener.hpp"
#include "com/sun/star/util/XRefreshable.hpp"
#include "com/sun/star/util/XReplaceDescriptor.hpp"
#include "com/sun/star/util/XReplaceable.hpp"
#include "com/sun/star/util/XSearchDescriptor.hpp"
#include "com/sun/star/util/XSearchable.hpp"
#include "com/sun/star/util/XStringWidth.hpp"
#include "com/sun/star/util/XURLTransformer.hpp"
#include "com/sun/star/view/DocumentZoomType.hpp"
#include "com/sun/star/view/PaperFormat.hpp"
#include "com/sun/star/view/PaperOrientation.hpp"
#include "com/sun/star/view/PrintableState.hpp"
#include "com/sun/star/view/XControlAccess.hpp"
#include "com/sun/star/view/XPrintJob.hpp"
#include "com/sun/star/view/XPrintJobBroadcaster.hpp"
#include "com/sun/star/view/XPrintPreview.hpp"
#include "com/sun/star/view/XPrintSettingsSupplier.hpp"
#include "com/sun/star/view/XPrintable.hpp"
#include "com/sun/star/view/XScreenCursor.hpp"
#include "com/sun/star/view/XSelectionChangeListener.hpp"
#include "com/sun/star/view/XSelectionSupplier.hpp"
#include "com/sun/star/view/XViewSettingsSupplier.hpp"
#include "com/sun/star/xml/crypto/XSecurityEnvironment.hpp"
#include "com/sun/star/xml/sax/XAttributeList.hpp"
#include "com/sun/star/xml/sax/XDocumentHandler.hpp"
#include "com/sun/star/xml/sax/XParser.hpp"
#include "comphelper/configurationhelper.hxx"
#include "comphelper/documentconstants.hxx"
#include "comphelper/embeddedobjectcontainer.hxx"
#include "comphelper/mediadescriptor.hxx"
#include "comphelper/processfactory.hxx"
#include "comphelper/seqstream.hxx"
#include "comphelper/sequence.hxx"
#include "comphelper/sequenceashashmap.hxx"
#include "comphelper/sequenceasvector.hxx"
#include "comphelper/storagehelper.hxx"
#include "comphelper/types.hxx"
#include "cppuhelper/compbase1.hxx"
#include "cppuhelper/compbase3.hxx"
#include "cppuhelper/factory.hxx"
#include "cppuhelper/implbase1.hxx"
#include "cppuhelper/implbase2.hxx"
#include "cppuhelper/implbase3.hxx"
#include "cppuhelper/implbase4.hxx"
#include "cppuhelper/implbase5.hxx"
#include "cppuhelper/implbase6.hxx"
#include "cppuhelper/interfacecontainer.h"
#include "cppuhelper/interfacecontainer.hxx"
#include "cppuhelper/propshlp.hxx"
#include "cppuhelper/queryinterface.hxx"
#include "cppuhelper/typeprovider.hxx"
#include "cppuhelper/weak.hxx"
#include "cppuhelper/weakref.hxx"
#include "framework/actiontriggerhelper.hxx"
#include "framework/addonmenu.hxx"
#include "framework/configimporter.hxx"
#include "framework/eventsconfiguration.hxx"
#include "framework/imageproducer.hxx"
#include "framework/interaction.hxx"
#include "framework/preventduplicateinteraction.hxx"
#include "i18npool/lang.h"
#include "i18npool/mslangid.hxx"
#include "osl/conditn.hxx"
#include "osl/diagnose.h"
#include "osl/file.hxx"
#include "osl/module.hxx"
#include "osl/mutex.hxx"
#include "osl/process.h"
#include "osl/security.hxx"
#include "osl/socket.hxx"
#include "osl/thread.h"
#include "osl/thread.hxx"
#include "rsc/rscsfx.hxx"
#include "rtl/bootstrap.hxx"
#include "rtl/logfile.hxx"
#include "rtl/math.hxx"
#include "rtl/strbuf.hxx"
#include "rtl/string.hxx"
#include "rtl/tencinfo.h"
#include "rtl/uri.h"
#include "rtl/ustrbuf.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/config.h"
#include "sal/types.h"
#include "setup_native/qswin32.h"
#include "sot/clsids.hxx"
#include "sot/exchange.hxx"
#include "sot/factory.hxx"
#include "sot/formats.hxx"
#include "sot/object.hxx"
#include "sot/storinfo.hxx"
#include "svtools/accessibilityoptions.hxx"
#include "svl/adrparse.hxx"
#include "svl/aeitem.hxx"
#include "svtools/asynclink.hxx"
#include "svl/brdcst.hxx"
#include "svl/cntwids.hrc"
#include "svtools/controldims.hrc"
#include "svl/ctypeitm.hxx"
#include "svl/dateitem.hxx"
#include "unotools/dynamicmenuoptions.hxx"
#include "svtools/ehdl.hxx"
#include "svl/eitem.hxx"
#include "svtools/embedhlp.hxx"
#include "svtools/embedtransfer.hxx"
#include "unotools/eventcfg.hxx"
#include "unotools/extendedsecurityoptions.hxx"
#include "svl/flagitem.hxx"
#include "svl/folderrestriction.hxx"
#include "unotools/fontoptions.hxx"
#include "svtools/framestatuslistener.hxx"
#include "svtools/helpopt.hxx"
#include "svl/hint.hxx"
#include "unotools/historyoptions.hxx"
#include "svtools/htmlkywd.hxx"
#include "svtools/htmltokn.h"
#include "svl/imageitm.hxx"
#include "svtools/imagemgr.hxx"
#include "svtools/imap.hxx"
#include "svtools/imgdef.hxx"
#include "svl/inetdef.hxx"
#include "svl/inethist.hxx"
#include "svl/inetmsg.hxx"
#include "unotools/inetoptions.hxx"
#include "svl/inetstrm.hxx"
#include "svl/inettype.hxx"
#include "unotools/internaloptions.hxx"
#include "svl/intitem.hxx"
#include "svl/isethint.hxx"
#include "svtools/itemdel.hxx"
#include "svl/itemiter.hxx"
#include "svl/itempool.hxx"
#include "svl/itemprop.hxx"
#include "svl/itemset.hxx"
#include "svtools/javacontext.hxx"
#include "svl/lckbitem.hxx"
#include "unotools/localisationoptions.hxx"
#include "svtools/localresaccess.hxx"
#include "svl/lstner.hxx"
#include "svl/memberid.hrc"
#include "svtools/menuoptions.hxx"
#include "unotools/misccfg.hxx"
#include "svtools/miscopt.hxx"
#include "unotools/moduleoptions.hxx"
#include "svl/ownlist.hxx"
#include "svtools/parhtml.hxx"
#include "unotools/pathoptions.hxx"
#include "svl/poolitem.hxx"
#include "svtools/printoptions.hxx"
#include "unotools/printwarningoptions.hxx"
#include "svl/rectitem.hxx"
#include "unotools/regoptions.hxx"
#include "unotools/saveopt.hxx"
#include "unotools/searchopt.hxx"
#include "unotools/securityoptions.hxx"
#include "svtools/sfxecode.hxx"
#include "svl/slstitm.hxx"
#include "svl/smplhint.hxx"
#include "svtools/soerr.hxx"
#include "svl/solar.hrc"
#include "unotools/startoptions.hxx"
#include "svtools/statusbarcontroller.hxx"
#include "svl/stritem.hxx"
#include "svl/style.hrc"
#include "svl/style.hxx"
#include "svl/svarray.hxx"
#include "svl/svdde.hxx"
#include "svl/svstdarr.hxx"
#include "svtools/svtdata.hxx"
#include "svtools/svtools.hrc"
#include "unotools/syslocale.hxx"
#include "unotools/syslocaleoptions.hxx"
#include "svl/szitem.hxx"
#include "svtools/templatefoldercache.hxx"
#include "svtools/toolboxcontroller.hxx"
#include "svtools/transfer.hxx"
#include "svtools/ttprops.hxx"
#include "svl/undo.hxx"
#include "unotools/undoopt.hxx"
#include "svl/urihelper.hxx"
#include "svl/urlbmk.hxx"
#include "unotools/useroptions.hxx"
#include "unotools/viewoptions.hxx"
#include "svl/visitem.hxx"
#include "svl/whiter.hxx"
#include "unotools/workingsetoptions.hxx"
#include "svl/zforlist.hxx"
#include "toolkit/awt/vclxwindow.hxx"
#include "toolkit/helper/convert.hxx"
#include "tools/bigint.hxx"
#include "tools/cachestr.hxx"
#include "tools/color.hxx"
#include "tools/config.hxx"
#include "tools/datetime.hxx"
#include "tools/debug.hxx"
#include "tools/errcode.hxx"
#include "tools/fract.hxx"
#include "tools/gen.hxx"
#include "tools/globname.hxx"
#include "tools/inetmime.hxx"
#include "tools/link.hxx"
#include "tools/ownlist.hxx"
#include "tools/rc.hxx"
#include "tools/rcid.h"
#include "tools/ref.hxx"
#include "tools/resary.hxx"
#include "tools/resid.hxx"
#include "tools/rtti.hxx"
#include "tools/shl.hxx"
#include "tools/simplerm.hxx"
#include "tools/solar.h"
#include "tools/stream.hxx"
#include "tools/string.hxx"
#include "tools/table.hxx"
#include "tools/tenccvt.hxx"
#include "tools/unqid.hxx"
#include "tools/urlobj.hxx"
#include "tools/wldcrd.hxx"
#include "tools/zcodec.hxx"
#include "ucbhelper/configurationkeys.hxx"
#include "uno/current_context.hxx"
#include "uno/mapping.hxx"
#include "unotools/bootstrap.hxx"
#include "unotools/configitem.hxx"
#include "unotools/configmgr.hxx"
#include "unotools/confignode.hxx"
#include "unotools/intlwrapper.hxx"
#include "unotools/localedatawrapper.hxx"
#include "unotools/localfilehelper.hxx"
#include "unotools/processfactory.hxx"
#include "unotools/progresshandlerwrap.hxx"
#include "unotools/streamhelper.hxx"
#include "unotools/streamwrap.hxx"
#include "unotools/tempfile.hxx"
#include "unotools/ucblockbytes.hxx"
#include "unotools/ucbstreamhelper.hxx"
#include "vcl/abstdlg.hxx"
#include "vcl/bitmap.hxx"
#include "vcl/bitmapex.hxx"
#include "vcl/bmpacc.hxx"
#include "vcl/cvtgrf.hxx"
#include "vcl/decoview.hxx"
#include "vcl/gdimtf.hxx"
#include "vcl/graph.hxx"
#include "vcl/help.hxx"
#include "vcl/i18nhelp.hxx"
#include "vcl/image.hxx"
#include "vcl/jobset.hxx"
#include "vcl/menu.hxx"
#include "vcl/mnemonic.hxx"
#include "vcl/pointr.hxx"
#include "vcl/salbtype.hxx"
#include "vcl/salctype.hxx"
#include "vcl/sound.hxx"
#include "vcl/stdtext.hxx"
#include "vcl/timer.hxx"
#include "vcl/unohelp.hxx"
#include "tools/wintypes.hxx"
#include "osl/diagnose.h"
#include "osl/module.hxx"
#include "osl/mutex.hxx"
#include "osl/process.h"
//---MARKER---
#endif

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
